Please sync sqlite3 3.6.20-1 from Debian testing

Bug #489477 reported by Toni Spets on 2009-11-28
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
sqlite3 (Ubuntu)
Wishlist
Unassigned
Nominated for Karmic by proDOOMman
Nominated for Lucid by proDOOMman

Bug Description

Binary package hint: sqlite3

Version 3.6.19 introduced important foreign key support, which did not make in time for karmic.

Current version of sqlite3 is way old.

I found this while working on the python-apsw merge which requires libsqlite3-dev (>=3.6.18)

sync from debian testing,
 Build against automake1.10 instead of automake. The package builds using automake.

Changelog since last merge:

sqlite3 (3.6.20-1) unstable; urgency=low

  * New upstream release (may fix #546599).

 -- Laszlo Boszormenyi (GCS) <email address hidden> Tue, 10 Nov 2009 22:48:13 +0000

sqlite3 (3.6.19-3) unstable; urgency=low

  * Build conflict with tcl8.4{,-dev}, SQLite3 picks up the wrong version
    despite of specifying tcl8.5 to use (closes: #552304).

 -- Laszlo Boszormenyi (GCS) <email address hidden> Mon, 26 Oct 2009 05:58:04 +0000

sqlite3 (3.6.19-2) unstable; urgency=low

  * Compile with secure deletion option enabled (closes: #551968).
  * Make libsqlite3-tcl build with tcl8.5 (closes: #547445).

 -- Laszlo Boszormenyi (GCS) <email address hidden> Fri, 23 Oct 2009 07:45:19 +0000

sqlite3 (3.6.19-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <email address hidden> Sun, 18 Oct 2009 07:11:18 +0000

sqlite3 (3.6.18-1) unstable; urgency=low

  * New upstream release.
  * Change readline build dependency to plain libreadline-dev (version 6 ATM)
    and standards-version to 3.8.3 .

 -- Laszlo Boszormenyi (GCS) <email address hidden> Sun, 13 Sep 2009 14:47:20 +0000

sqlite3 (3.6.17-2) unstable; urgency=low

  * Reintroduce libtool and auto{conf,make} updates of CDBS
    (closes: #541684, #541731), patches modify configure.ac and Makefile.in .
  * Update patches to match this upstream release.

 -- Laszlo Boszormenyi (GCS) <email address hidden> Sun, 16 Aug 2009 15:55:30 +0000

sqlite3 (3.6.17-1) unstable; urgency=low

  * New upstream release.
  * Don't ask CDBS to run libtool, autoconf nor automake (closes: #541413), no
    need to build-depend on these tools anymore.

 -- Laszlo Boszormenyi (GCS) <email address hidden> Sat, 15 Aug 2009 04:23:42 +0000

Dave Walker (dogatemycomputer) wrote :

Packages for this software appear to exist in Debian already. Ubuntu has semi-automatic tools to sync new packages from Debian so it will most likely appear in the next Ubuntu release.

@KubuntuD410:~$ rmadison -u debian sqlite3
   sqlite3 | 3.3.8-1.1 | etch-m68k | source, m68k
   sqlite3 | 3.3.8-1.1 | oldstable | source, alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
   sqlite3 | 3.5.9-6 | stable | source, alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
   sqlite3 | 3.6.20-1 | testing | source, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
   sqlite3 | 3.6.20-1 | unstable | source, alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
walkerd@KubuntuD410:~$

Changed in sqlite3 (Ubuntu):
status: New → Invalid
Ilya Barygin (randomaction) wrote :

Ubuntu has a modified version of sqlite3, so in this case a merge or manual sync will be required.

Changed in sqlite3 (Ubuntu):
status: Invalid → New
Charlie_Smotherman (cjsmo) wrote :
description: updated
Charlie_Smotherman (cjsmo) wrote :
Morten Kjeldgaard (mok0) wrote :

Please explain why it is necessary to maintain a separate ubuntu branch of this package. AFAICT the only difference is that the ubuntu version depends on automake1.10 instead of automake. The unaltered Debian package builds just fine. I think this should be a sync.

Changed in sqlite3 (Ubuntu):
status: New → Incomplete
Charlie_Smotherman (cjsmo) wrote :

I only kept the automake1.10 change is IIRC automake1.10 is the default in ubuntu. Changing bug report to a sync request.

Best regards
Charlie Smotherman

summary: - Please merge sqlite3 3.6.20-1 from Debian testing
+ Please sync sqlite3 3.6.20-1 from Debian testing
description: updated
Changed in sqlite3 (Ubuntu):
status: Incomplete → New
Changed in sqlite3 (Ubuntu):
status: New → In Progress
importance: Undecided → Wishlist
assignee: nobody → Fabrice Coutadeur (fabricesp)
Fabrice Coutadeur (fabricesp) wrote :

Sync request ack'd

Changed in sqlite3 (Ubuntu):
assignee: Fabrice Coutadeur (fabricesp) → nobody
status: In Progress → Triaged
Fabrice Coutadeur (fabricesp) wrote :

Oops: sqlite is in main. My ack is not valid.: subscribing main sponsors

Changed in sqlite3 (Ubuntu):
status: Triaged → New
Daniel Holbach (dholbach) wrote :

ACKed.

Changed in sqlite3 (Ubuntu):
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers